# Log await

An action block that await a message logged by an app or system component.

The fiber will pause until a matching message has been logged.

The message input argument must be a valid regular expression, for more information see matches function.

On Android 13+ the ”read sensitive log data” privilege requires user confirmation for every usage, this requirement can be avoided by choosing a Logcat workaround in settings.

An alternative to this block that is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `logcat -T1 -m1 <tag or *>:<V|D|I|W|E|F> -e <message> --uid=<package uid>`

Note! This feature isn’t officially supported, may not work on all devices.

## Input arguments

- Log — log in which the message must be logged, default is Main.
- Tag — tag of logged message, default is any.
- Message — regular expression to match logged message against, default is any, i.e. `.*`.
- Priority — priority or “log level” of message, default is any.
- Package — package name of app logging the message (Android 10+, may work on lower versions), default is any.

## Output variables

- Logged message — variable to assign an array containing the entire matched message result and any capture groups.
- Logged time — variable to assign the time when the message was logged, as a unix timestamp.
- Logging UID name — variable to assign the UID name of component logging the message, may include an app package name. (Android 10+, may work on lower versions)